
/*
		sndleerenc
		Abre un audio y lee su encabezado, muestra la informacin en pantalla.
*/



#include "sndlib/io.h"
#include "sndlib/headers.h"
#include "sndlib/sound.h"

#include "funcs/defs.h"
#include "funcs/es.h"


int main(int argc, char **argv)
{
	DAUDIO *dau = NULL;                   /* creo un objeto que contendr datos de audio */

		/* ahora chequeo que los argumentos sean los correctos */
	if(ChequearEntrada(argc, 2, "Lnea de comando: falta nombre de archivo", "sndleerenc") == -1)
		{
    getchar();
    return -1;
		}

  mus_sound_initialize();	            /* inicializo sndlib, sta llamada siempre es necesaria */

		/* abro el audio de entrada que automticamente imprime sus datos en pantalla,
	   tambon me fijo que el archivo se pueda abrir, de otro modo salgo con error */
	dau = AbrirAudioEntrada(argv[1], "\nAUDIO");
	if(dau == NULL);
    return -1;

  free(dau);     /* libero memoria */
  return 0;
}




